PGF90-F-0004 - Old or Corrupt Module

Hi,

I have Intel compiled library with all the *.mod files.

I would like to make add-on some PGI cuda fortran libraries with *.mod files produced by Intel Compiler. So I followed the steps as listed here: https://software.intel.com/en-us/node/694273

But I received the error : PGF90-F-0004 - Old or Corrupt Module

Does anyone has the idea why and how to overcome this problem?

Regards,
Phoon

Hi Phoon,

Modules from different compilers are not compatible. You will been to recompile these modules using PGI.

-Mat